import { get, post, download } from '../http'

const apiReport = {
  getReportTypeList() {
    return get('report-mgmt/report-types')
  },
  getMonthList() {
    return get('report-mgmt/months')
  },
  getGroupList(params) {
    return get('report-mgmt/groups', params)
  },
  generateReport(params) {
    return post('report-mgmt/generate', params)
  },
  getReportsPages(params) {
    return post('report-mgmt/report-pages', params)
  },
  exportReports(params) {
    return download('report-mgmt/download', params)
  }
}

export default apiReport